ServiceBroker
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcemanager.impl.brokerage
Class ServiceBroker

    java.lang.Object
      org.gcube.vremanagement.resourcemanager.impl.brokerage.ServiceBroker

All Implemented Interfaces:
  Broker

    public final class ServiceBroker

extends java.lang.Object
implements Broker

Broker that exploits the gCube Resource Broker service

Author:
  Manuele Simi (ISTI-CNR)

Constructor Summary
`ServiceBroker()`

Method Summary
`void` | `initialize(GCUBEScope scope)` Initializes the Broker instance
`void` | `makePlan(Session session, java.util.Set<ScopedDeployedService> services, java.lang.String[] suggestedGHNs)` Creates a deployment plan for the given services
`void` | `sendFeedback(Session session)` Sends feedback to the broker about the execution of the plan for the given session

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceBroker

    public ServiceBroker()

Method Detail

### initialize

    public void initialize(GCUBEScope scope)
                    throws java.lang.Exception

  Initializes the Broker instance

  Specified by:
    `initialize` in interface `Broker`
  Parameters:
    `scope` - the scope where the broker will act
  Throws:
    `java.lang.Exception` - if the initialization fails (depends on the broker's nature)

### makePlan

    public void makePlan(Session session,
                         java.util.Set<ScopedDeployedService> services,
                         java.lang.String[] suggestedGHNs)
                  throws java.lang.Exception

  Description copied from interface: `Broker`
  Creates a deployment plan for the given services

  Specified by:
    `makePlan` in interface `Broker`
  Parameters:
    `session` - the current session
    `services` - the services to deploy
    `suggestedGHNs` - the (eventually) GHNs suggested for the deployment, if specified, only these nodes will be used by the planner
  Throws:
    `java.lang.Exception` - if the preparation of the plan fails

### sendFeedback

    public void sendFeedback(Session session)
                      throws java.lang.Exception

  Sends feedback to the broker about the execution of the plan for the given session

  Specified by:
    `sendFeedback` in interface `Broker`
  Parameters:
    `session` - the current session
  Throws:
    `java.lang.Exception` - if the broker is not able to manage the feedback

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD